Dependency map for a curriculum
curl --request GET \
--url https://api.learningcommons.org/knowledge-graph/v0/curriculums/{curriculumId}/dependency-map \
--header 'x-api-key: <api-key>'import requests
url = "https://api.learningcommons.org/knowledge-graph/v0/curriculums/{curriculumId}/dependency-map"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.learningcommons.org/knowledge-graph/v0/curriculums/{curriculumId}/dependency-map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dependencies": [
{
"source": "im:87b50a26-acbf-5798-ac94-ca1423679acd",
"sourceName": "Angles, Triangles, and Prisms",
"sourceCurriculumLabel": "Unit",
"hasDependency": [
{
"identifier": "im:a0e15ae9-dd70-5df0-93ad-9d6b99fc5ad2",
"name": "Area and Surface Area",
"curriculumLabel": "Unit"
},
{
"identifier": "im:c5f3b8d1-4e92-5a6c-b7d8-2f1e9a3c6b4d",
"name": "Angles and Angle Measurement",
"curriculumLabel": "Unit"
}
]
},
{
"source": "im:d4e2f1a0-8b7c-5d3e-9f6a-1c2b4d5e8f7a",
"sourceName": "Constructions",
"sourceCurriculumLabel": "Section",
"hasDependency": [
{
"identifier": "im:e7f6a5b4-3c2d-5e1f-8a9b-0d1c2e3f4a5b",
"name": "Defining Rigid Transformations",
"curriculumLabel": "Section"
}
]
}
],
"pagination": {
"limit": 100,
"nextCursor": "eyJpZGVudGlmaWVyIjoiaW06ZDRlMmYxYTAtOGI3Yy01ZDNlLTlmNmEtMWMyYjRkNWU4ZjdhIn0=",
"hasMore": true
}
}{
"error": "ValidationError",
"message": "Invalid cursor format",
"requestId": "req_12345"
}{
"error": "ValidationError",
"message": "Input should be 'im360'",
"requestId": "req_12345"
}{
"error": "InternalServerError",
"message": "An unexpected error occurred while retrieving the dependency map",
"requestId": "req_12345"
}Dependency map for a curriculum
Returns the dependency relationships between lesson groupings within a curriculum.
Dependencies represent prerequisite relationships between lesson groupings (units, sections, modules). A dependency from source → target means the target is a prerequisite — it should be taught before the source.
Use this endpoint when you need to:
- Visualize the dependency graph for a curriculum
- Understand prerequisite relationships between units or sections
- Build a dependency-aware course planner or sequencing tool
GET
/
curriculums
/
{curriculumId}
/
dependency-map
Dependency map for a curriculum
Authorizations
API key for authentication
Path Parameters
Unique identifier for the resource in Knowledge Graph
Available options:
im360 Query Parameters
Maximum number of results to return
Required range:
1 <= x <= 1000Pagination cursor obtained from the nextCursor field in a previous response (not needed for the first page)
Was this page helpful?